Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227798 - update of bind-chroot breaks rndc.key and named won't start
Summary: update of bind-chroot breaks rndc.key and named won't start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 08:29 UTC by Tomas Janousek
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0743
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:03:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
maybe fix (deleted)
2007-02-08 08:29 UTC, Tomas Janousek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0743 normal SHIPPED_LIVE bind bug fix and enhancement update 2007-11-14 17:08:35 UTC

Description Tomas Janousek 2007-02-08 08:29:13 UTC
Description of problem:
Today update of bind-chroot broke the rndc.key and I ended up with this in the log:
Feb  8 04:28:37 ackle named: /etc/rndc.key:4: missing ';' before '}'


Version-Release number of selected component (if applicable):
bind-9.2.4-24.EL4


Additional info:
Attaching a patch that might fix it (untested).

Comment 1 Tomas Janousek 2007-02-08 08:29:13 UTC
Created attachment 147637 [details]
maybe fix

Comment 2 Adam Tkac 2007-02-08 12:16:47 UTC
(In reply to comment #1)
> Created an attachment (id=147637) [edit]
> maybe fix

Yes, patch is correct.

Steps to reproduce:
 - break standard /etc/rndc.key + {chroot}/etc/rndc.key configuration (for
example remove one of this file or make /etc/rndc.key like normal file - no link
or simply remove it)
 - update
 - look at that nice message in log

Adding to 4.6 proposed

Comment 3 RHEL Product and Program Management 2007-05-09 07:51:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2007-11-15 16:03:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0743.html



Note You need to log in before you can comment on or make changes to this bug.